What can I do if I cannot install the ezTalks app on a mobile app?

Step 1 Check if you use the ezTalks supported version.

The ezTalks mobile app works on the following system:
  iphone& ipad with IOS9 or later
  Andriod devices with Andriod 4.4 or later

Step 2 Please contact support@eztalks.com for help.

Please tell us the model number of your mobile device and send us a screenshot of any error so that we can quickly address the issue.